<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  
  <xsl:strip-space elements="*"/>
  
  <xsl:template match="/">
    <html>
      <head>
        <style type="text/css">
          
          .account {
          font-weight: bold;
          }
          
          .time {
          display: block;
          background-color: #CCCC99;
          font-size: 90%;
          }
          
          .role {
          font-weight: bold;
          }
          
          .entry {
          margin-top: 10px;
          background-color: #CCFFCC;
          margin-bottom: 10px;
          padding: 10px;
          border: thin solid outset;
          }
          
          .day {
          background-color: #99CC99;
          border: thin solid;
          padding: 10px;
          margin-top: 10px;
          margin-bottom: 10px;
          }
          
          .date {
          font-style: italic;
          color: #336633;
          font-weight: bold;
          }
          
          .note {
          font-style: italic;
          font-weight: normal;
          }
          
          .uri {
          font-size: 90%;
          font-weight: bold;
          color: maroon;
          font-family: monospace;
          }
          
        </style>
      </head>
      <body>
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>
  
  <xsl:template match="timesheet | entry | account | day |
                       time | work | note | role | task">
    <div class="{local-name()}">
      <xsl:apply-templates/>
    </div>
  </xsl:template>
  
  <xsl:template match="employee">
    <h2 class="{local-name()}">
      <xsl:apply-templates/>
      <xsl:text>: </xsl:text>
      <xsl:value-of select="/descendant::date[1]"/>
      <xsl:text> to </xsl:text>
      <xsl:value-of select="/descendant::date[last()]"/>
    </h2>
  </xsl:template>
    
  <xsl:template match="job">
    <xsl:text> | </xsl:text>
    <span class="{local-name()}">
      <xsl:apply-templates/>
    </span>
  </xsl:template>
  
  <xsl:template match="hours">
    <span class="{local-name()}">
      <xsl:text> (</xsl:text>
      <xsl:apply-templates/>
      <xsl:text> hours)</xsl:text>
    </span>
  </xsl:template>
  
  <xsl:template match="end">
    <xsl:text> - </xsl:text>
    <span class="{local-name()}">
      <xsl:apply-templates/>
    </span>
  </xsl:template>
  
  <xsl:template match="*">
    <span class="{local-name()}">
      <xsl:apply-templates/>
    </span>
  </xsl:template>
</xsl:stylesheet>
